=== modified file 'm4/pandora_libtool.m4'
--- m4/pandora_libtool.m4	2009-12-05 10:59:33 +0000
+++ m4/pandora_libtool.m4	2009-12-07 09:21:15 +0000
@@ -4,6 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 AC_DEFUN([PANDORA_LIBTOOL],[
+  AC_REQUIRE([AC_DISABLE_STATIC])
   AC_REQUIRE([AC_PROG_LIBTOOL])
   m4_ifndef([LT_PREREQ],[
     pandora_have_old_libtool=yes

=== modified file 'plugin/archive/ha_archive.cc'
--- plugin/archive/ha_archive.cc	2009-12-03 07:41:29 +0000
+++ plugin/archive/ha_archive.cc	2009-12-04 10:20:37 +0000
@@ -31,8 +31,6 @@
 
 using namespace std;
 
-static const string engine_name("ARCHIVE");
-
 /*
   First, if you want to understand storage engines you should look at
   ha_example.cc and ha_example.h.

=== modified file 'plugin/archive/plugin.ini'
--- plugin/archive/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/archive/plugin.ini	2009-12-04 18:50:04 +0000
@@ -1,10 +1,7 @@
 [plugin]
-name=archive
 title=Archive Storage Engine
 description=Archive Storage Engine
 load_by_default=yes
-static=yes
 libs=plugin/archive/libazio.la
 sources=ha_archive.cc
 headers=ha_archive.h
-static=yes

=== added directory 'plugin/archive/tests'
=== added directory 'plugin/archive/tests/r'
=== renamed file 'tests/r/archive.result' => 'plugin/archive/tests/r/archive.result'
=== renamed file 'tests/r/archive_aio_posix.result' => 'plugin/archive/tests/r/archive_aio_posix.result'
=== renamed file 'tests/r/archive_basic.result' => 'plugin/archive/tests/r/archive_basic.result'
=== renamed file 'tests/r/archive_discover.result' => 'plugin/archive/tests/r/archive_discover.result'
=== added directory 'plugin/archive/tests/t'
=== added file 'plugin/archive/tests/t/archive-master.opt'
--- plugin/archive/tests/t/archive-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/archive/tests/t/archive-master.opt	2009-11-12 00:43:38 +0000
@@ -0,0 +1,1 @@
+--plugin_add=archive

=== renamed file 'tests/t/archive.test' => 'plugin/archive/tests/t/archive.test'
--- tests/t/archive.test	2009-11-26 02:37:40 +0000
+++ plugin/archive/tests/t/archive.test	2009-12-04 10:20:37 +0000
@@ -2,7 +2,6 @@
 # Simple test for archive example
 # Taken FROM the select test
 #
--- source include/have_archive.inc
 
 --disable_warnings
 DROP TABLE if exists t1,t2,t3,t4,t5,t6;

=== renamed file 'tests/t/archive_aio_posix.test' => 'plugin/archive/tests/t/archive_aio_posix.test'
--- tests/t/archive_aio_posix.test	2009-11-26 02:37:40 +0000
+++ plugin/archive/tests/t/archive_aio_posix.test	2009-12-04 10:20:37 +0000
@@ -2,8 +2,6 @@
 # Simple test for archive example
 # Taken FROM the select test
 #
--- source include/have_archive.inc
-
 --disable_warnings
 DROP TABLE if exists t1,t2,t3,t4,t5,t6;
 --enable_warnings

=== renamed file 'tests/t/archive_basic.test' => 'plugin/archive/tests/t/archive_basic.test'
--- tests/t/archive_basic.test	2009-01-12 05:43:13 +0000
+++ plugin/archive/tests/t/archive_basic.test	2009-11-12 00:43:38 +0000
@@ -1,5 +1,3 @@
--- source include/have_archive.inc
-
 CREATE TABLE t1 (
   Period int DEFAULT '0000' NOT NULL,
   Varor_period int DEFAULT '0' NOT NULL

=== renamed file 'tests/t/archive_discover.test' => 'plugin/archive/tests/t/archive_discover.test'
=== modified file 'plugin/blackhole/ha_blackhole.cc'
--- plugin/blackhole/ha_blackhole.cc	2009-12-03 07:41:29 +0000
+++ plugin/blackhole/ha_blackhole.cc	2009-12-04 10:17:07 +0000
@@ -29,8 +29,6 @@
 using namespace std;
 using namespace google;
 
-static const string engine_name("BLACKHOLE");
-
 #define BLACKHOLE_EXT ".blk"
 
 static const char *ha_blackhole_exts[] = {
@@ -381,7 +379,7 @@
 static int blackhole_init(drizzled::plugin::Registry &registry)
 {
 
-  blackhole_engine= new BlackholeEngine(engine_name);
+  blackhole_engine= new BlackholeEngine("BLACKHOLE");
   registry.add(blackhole_engine);
   
   pthread_mutex_init(&blackhole_mutex, MY_MUTEX_INIT_FAST);

=== modified file 'plugin/blackhole/plugin.ini'
--- plugin/blackhole/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/blackhole/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,8 +1,6 @@
 [plugin]
-name=blackhole
 title=Blackhole Storage Engine
 description=Basic Write-only Read-never tables
 load_by_default=yes
 sources=ha_blackhole.cc
 headers=ha_blackhole.h
-static=yes

=== added directory 'plugin/blackhole/tests'
=== added directory 'plugin/blackhole/tests/r'
=== renamed file 'tests/r/blackhole.result' => 'plugin/blackhole/tests/r/blackhole.result'
=== added directory 'plugin/blackhole/tests/t'
=== added file 'plugin/blackhole/tests/t/blackhole-master.opt'
--- plugin/blackhole/tests/t/blackhole-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/blackhole/tests/t/blackhole-master.opt	2009-11-12 00:44:37 +0000
@@ -0,0 +1,1 @@
+--plugin_add=blackhole

=== renamed file 'tests/t/blackhole.test' => 'plugin/blackhole/tests/t/blackhole.test'
=== modified file 'plugin/crc32/plugin.ini'
--- plugin/crc32/plugin.ini	2009-11-29 19:55:08 +0000
+++ plugin/crc32/plugin.ini	2009-12-04 18:50:04 +0000
@@ -3,4 +3,3 @@
 description=UDF Plugin for crc32
 load_by_default=yes
 sources=crc32udf.cc
-testsuite=crc32

=== renamed directory 'tests/suite/crc32' => 'plugin/crc32/tests'
=== modified file 'plugin/csv/ha_tina.cc'
--- plugin/csv/ha_tina.cc	2009-12-03 21:51:12 +0000
+++ plugin/csv/ha_tina.cc	2009-12-04 20:51:25 +0000
@@ -55,8 +55,6 @@
 
 using namespace std;
 
-static const string engine_name("CSV");
-
 /*
   unsigned char + unsigned char + uint64_t + uint64_t + uint64_t + uint64_t + unsigned char
 */
@@ -221,7 +219,7 @@
 static int tina_init_func(drizzled::plugin::Registry &registry)
 {
 
-  tina_engine= new Tina(engine_name);
+  tina_engine= new Tina("CSV");
   registry.add(tina_engine);
 
   pthread_mutex_init(&tina_mutex,MY_MUTEX_INIT_FAST);

=== modified file 'plugin/csv/plugin.ini'
--- plugin/csv/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/csv/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,8 +1,6 @@
 [plugin]
-name=csv
 title=CSV Storage Engine
 description=Stores tables in text CSV format
 load_by_default=yes
-sources=transparent_file.cc ha_tina.cc
 headers=ha_tina.h transparent_file.h
-static=yes
+sources=ha_tina.cc transparent_file.cc

=== added directory 'plugin/csv/tests'
=== added directory 'plugin/csv/tests/r'
=== renamed file 'tests/r/csv.result' => 'plugin/csv/tests/r/csv.result'
=== renamed file 'tests/r/csv_alter_table.result' => 'plugin/csv/tests/r/csv_alter_table.result'
=== renamed file 'tests/r/csv_not_null.result' => 'plugin/csv/tests/r/csv_not_null.result'
=== added directory 'plugin/csv/tests/t'
=== added file 'plugin/csv/tests/t/csv-master.opt'
--- plugin/csv/tests/t/csv-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/csv/tests/t/csv-master.opt	2009-11-12 00:44:36 +0000
@@ -0,0 +1,1 @@
+--plugin_add=csv

=== renamed file 'tests/t/csv.test' => 'plugin/csv/tests/t/csv.test'
--- tests/t/csv.test	2009-06-25 06:48:11 +0000
+++ plugin/csv/tests/t/csv.test	2009-11-12 00:44:36 +0000
@@ -1,10 +1,4 @@
 #
-# Test for the CSV engine
-#
-
---source include/have_csv.inc
-
-#
 # Simple select test
 #
 

=== renamed file 'tests/t/csv_alter_table.test' => 'plugin/csv/tests/t/csv_alter_table.test'
--- tests/t/csv_alter_table.test	2009-06-16 01:14:34 +0000
+++ plugin/csv/tests/t/csv_alter_table.test	2009-11-12 00:44:36 +0000
@@ -10,8 +10,6 @@
 # Last modified:  2008-01-06
 #-----------------------------------------------------------------------------
 
---source include/have_csv.inc
-
 #############################################################################
 # Testcase csv_alter_table.1: Positive test for ALTER table 
 #                             

=== renamed file 'tests/t/csv_not_null.test' => 'plugin/csv/tests/t/csv_not_null.test'
--- tests/t/csv_not_null.test	2009-06-16 01:14:34 +0000
+++ plugin/csv/tests/t/csv_not_null.test	2009-11-12 00:44:36 +0000
@@ -10,8 +10,6 @@
 # Last modified:  2008-01-04
 #-----------------------------------------------------------------------------
 
---source include/have_csv.inc
-
 #############################################################################
 # Testcase csv_not_null.1:  CREATE TEMPORARY TABLE for CSV Engine requires explicit
 #                           NOT NULL for each column

=== modified file 'plugin/info_schema/plugin.ini'
--- plugin/info_schema/plugin.ini	2009-11-18 16:39:59 +0000
+++ plugin/info_schema/plugin.ini	2009-12-04 10:57:43 +0000
@@ -1,5 +1,4 @@
 [plugin]
-name=info_schema
 title=I_S Plugin
 description=Plugin which contains all the original I_S tables
 sources=character_set.cc 
@@ -40,4 +39,3 @@
   status.h
   variables.h
 load_by_default=yes
-static=yes

=== modified file 'plugin/information_engine/plugin.ini'
--- plugin/information_engine/plugin.ini	2009-11-13 18:55:43 +0000
+++ plugin/information_engine/plugin.ini	2009-12-04 10:57:43 +0000
@@ -1,8 +1,6 @@
 [plugin]
-name=information_engine
 title=Information Engine
 description=Information Engine for Information Schema
 load_by_default=yes
 sources=information_engine.cc information_cursor.cc
 headers=information_engine.h information_cursor.h
-static=yes

=== modified file 'plugin/innobase/plugin.ini'
--- plugin/innobase/plugin.ini	2009-11-29 19:55:08 +0000
+++ plugin/innobase/plugin.ini	2009-12-04 18:50:04 +0000
@@ -29,4 +29,3 @@
 
 #cflags=${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/storage/innobase/include -DBUILD_DRIZZLE
 #cxxflags=${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/storage/innobase/include -DBUILD_DRIZZLE
-static=yes

=== modified file 'plugin/md5/plugin.ini'
--- plugin/md5/plugin.ini	2009-11-12 00:11:00 +0000
+++ plugin/md5/plugin.ini	2009-12-04 18:50:04 +0000
@@ -4,4 +4,3 @@
 load_by_default=yes
 ldflags=${LTMD5PLUGINDEP}
 build_conditional="${ac_cv_build_md5}" = "yes"
-testsuite=md5

=== renamed directory 'tests/suite/md5' => 'plugin/md5/tests'
=== modified file 'plugin/memcached_functions/plugin.ini'
--- plugin/memcached_functions/plugin.ini	2009-11-29 18:31:46 +0000
+++ plugin/memcached_functions/plugin.ini	2009-12-04 18:50:04 +0000
@@ -30,4 +30,3 @@
         memc_stats.cc
 build_conditional="${ac_cv_libmemcached}" = "yes" -a "x${MEMCACHED_BINARY}" != "xno"
 ldflags=${LTLIBMEMCACHED}
-testsuite=memcached_functions

=== renamed directory 'tests/suite/memcached_functions' => 'plugin/memcached_functions/tests'
=== modified file 'plugin/memcached_functions/tests/t/memc.test'
--- tests/suite/memcached_functions/t/memc.test	2009-10-16 21:01:42 +0000
+++ plugin/memcached_functions/tests/t/memc.test	2009-12-04 18:50:04 +0000
@@ -1,7 +1,7 @@
 # we are assuming the memcached binary is contained in PATH or
 # common directories we might expect it to be in
---exec $DRIZZLE_TEST_DIR/suite/memcached_functions/start_mc.sh stop
---exec $DRIZZLE_TEST_DIR/suite/memcached_functions/start_mc.sh start
+--exec $DRIZZLE_TEST_DIR/../plugin/memcached_functions/tests/start_mc.sh stop
+--exec $DRIZZLE_TEST_DIR/../plugin/memcached_functions/tests/start_mc.sh start
 
 DROP TABLE IF EXISTS `t1`;
 --replace_result $MC_PORT MC_A_PORT
@@ -193,5 +193,5 @@
 select memc_behavior_get('MEMCACHED_BEHAVIOR_IO_BYTES_WATERMARK');
 select memc_behavior_set('MEMCACHED_BEHAVIOR_IO_BYTES_WATERMARK', @size);
 
---exec $DRIZZLE_TEST_DIR/suite/memcached_functions/start_mc.sh stop
+--exec $DRIZZLE_TEST_DIR/../plugin/memcached_functions/tests/start_mc.sh stop
 

=== modified file 'plugin/memcached_stats/plugin.ini'
--- plugin/memcached_stats/plugin.ini	2009-11-29 18:31:46 +0000
+++ plugin/memcached_stats/plugin.ini	2009-12-04 18:50:04 +0000
@@ -6,4 +6,3 @@
 sources=memcached_stats.cc stats_table.cc analysis_table.cc
 build_conditional="${ac_cv_libmemcached}" = "yes" -a "x${MEMCACHED_BINARY}" != "xno"
 ldflags=${LTLIBMEMCACHED}
-testsuite=memcached_stats

=== renamed directory 'tests/suite/memcached_stats' => 'plugin/memcached_stats/tests'
=== modified file 'plugin/multi_thread/plugin.ini'
--- plugin/multi_thread/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/multi_thread/plugin.ini	2009-11-12 00:45:29 +0000
@@ -1,7 +1,5 @@
 [plugin]
-name=multi_thread
 headers=multi_thread.h
 title=Multi-Thread Scheduler
 description=One Thread Per Connection Scheduler
 load_by_default=yes
-static=yes

=== modified file 'plugin/pool_of_threads/plugin.ini'
--- plugin/pool_of_threads/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/pool_of_threads/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,11 +1,11 @@
 [plugin]
-name=pool_of_threads
 title=Pool of Threads Scheduler
 description=Pool of Threads Scheduler
 sources=pool_of_threads.cc session_scheduler.cc
-headers=session_scheduler.h pool_of_threads.h
+headers=pool_of_threads.h session_scheduler.h
 load_by_default=yes
 cxxflags=${PROTOSKIP_WARNINGS}
 ldflags=${LTLIBEVENT}
 build_conditional="x$ac_cv_libevent" = "xyes"
-static=yes
+#uncomment when pool_of_threads shutdown is fixed
+testsuite=disable

=== added directory 'plugin/pool_of_threads/tests'
=== added directory 'plugin/pool_of_threads/tests/r'
=== renamed file 'tests/r/pool_of_threads.result' => 'plugin/pool_of_threads/tests/r/pool_of_threads.result'
=== added directory 'plugin/pool_of_threads/tests/t'
=== added file 'plugin/pool_of_threads/tests/t/pool_of_threads-master.opt'
--- plugin/pool_of_threads/tests/t/pool_of_threads-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/pool_of_threads/tests/t/pool_of_threads-master.opt	2009-11-12 00:44:38 +0000
@@ -0,0 +1,1 @@
+--plugin_add=pool_of_threads --scheduler=pool_of_threads

=== renamed file 'tests/t/pool_of_threads.test' => 'plugin/pool_of_threads/tests/t/pool_of_threads.test'
--- tests/t/pool_of_threads.test	2008-12-06 22:41:03 +0000
+++ plugin/pool_of_threads/tests/t/pool_of_threads.test	2009-11-12 00:44:38 +0000
@@ -1,5 +1,16 @@
-# Start with thread_handling=pool-of-threads
-# and run a number of tests
-
--- source include/common-tests.inc
-
+# 
+# Verify that the single_thread scheduler actually can process queries
+#
+
+select PLUGIN_NAME from information_schema.plugins where is_active="YES" and plugin_type="Scheduler";
+
+--disable_warnings
+DROP TABLE IF EXISTS t1;
+--enable_warnings
+CREATE TABLE t1
+(
+  some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT some_text FROM t1;
+DROP TABLE t1;

=== modified file 'plugin/single_thread/plugin.ini'
--- plugin/single_thread/plugin.ini	2009-11-10 20:47:10 +0000
+++ plugin/single_thread/plugin.ini	2009-12-04 10:17:07 +0000
@@ -1,7 +1,7 @@
 [plugin]
-name=single_thread
 headers=single_thread.h
 title=Single Thread Scheduler
 description=Single Thread Scheduler
 load_by_default=yes
-static=yes
+#uncomment when single_thread shutdown is fixed
+testsuite=disable

=== added directory 'plugin/single_thread/tests'
=== added directory 'plugin/single_thread/tests/r'
=== added file 'plugin/single_thread/tests/r/single_thread.result'
--- plugin/single_thread/tests/r/single_thread.result	1970-01-01 00:00:00 +0000
+++ plugin/single_thread/tests/r/single_thread.result	2009-11-12 00:44:37 +0000
@@ -0,0 +1,13 @@
+select PLUGIN_NAME from information_schema.plugins where is_active="YES" and plugin_type="Scheduler";
+PLUGIN_NAME
+single_thread
+DROP TABLE IF EXISTS t1;
+CREATE TABLE t1
+(
+some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT some_text FROM t1;
+some_text
+I love testing
+DROP TABLE t1;

=== added directory 'plugin/single_thread/tests/t'
=== added file 'plugin/single_thread/tests/t/single_thread-master.opt'
--- plugin/single_thread/tests/t/single_thread-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/single_thread/tests/t/single_thread-master.opt	2009-11-12 00:44:37 +0000
@@ -0,0 +1,1 @@
+--plugin_add=single_thread --scheduler=single_thread

=== added file 'plugin/single_thread/tests/t/single_thread.test'
--- plugin/single_thread/tests/t/single_thread.test	1970-01-01 00:00:00 +0000
+++ plugin/single_thread/tests/t/single_thread.test	2009-11-12 00:44:37 +0000
@@ -0,0 +1,16 @@
+# 
+# Verify that the single_thread scheduler actually can process queries
+#
+
+select PLUGIN_NAME from information_schema.plugins where is_active="YES" and plugin_type="Scheduler";
+
+--disable_warnings
+DROP TABLE IF EXISTS t1;
+--enable_warnings
+CREATE TABLE t1
+(
+  some_text VARCHAR(100) NOT NULL
+);
+INSERT INTO t1 VALUES ("I love testing");
+SELECT some_text FROM t1;
+DROP TABLE t1;

=== modified file 'plugin/sleep/plugin.ini'
--- plugin/sleep/plugin.ini	2009-11-12 00:07:06 +0000
+++ plugin/sleep/plugin.ini	2009-12-04 18:50:04 +0000
@@ -3,4 +3,3 @@
 description=UDF Plugin for sleep().
 load_by_default=yes
 sources=sleep.cc
-testsuite=sleep

=== renamed directory 'tests/suite/sleep' => 'plugin/sleep/tests'
=== modified file 'plugin/transaction_log/info_schema.cc'
--- plugin/transaction_log/info_schema.cc	2009-11-30 19:02:55 +0000
+++ plugin/transaction_log/info_schema.cc	2009-12-04 20:25:08 +0000
@@ -90,9 +90,9 @@
 /*
  * Vectors of columns for I_S tables.
  */
-static vector<const plugin::ColumnInfo *> transaction_log_view_columns;
-static vector<const plugin::ColumnInfo *> transaction_log_entries_view_columns;
-static vector<const plugin::ColumnInfo *> transaction_log_transactions_view_columns;
+static vector<const plugin::ColumnInfo *> *transaction_log_view_columns= NULL;
+static vector<const plugin::ColumnInfo *> *transaction_log_entries_view_columns= NULL;
+static vector<const plugin::ColumnInfo *> *transaction_log_transactions_view_columns= NULL;
 
 /*
  * Methods for I_S tables.
@@ -537,17 +537,33 @@
 
 bool initViewColumns()
 {
-  if (createTransactionLogViewColumns(transaction_log_view_columns))
-  {
-    return true;
-  }
-
-  if (createTransactionLogEntriesViewColumns(transaction_log_entries_view_columns))
-  {
-    return true;
-  }
-
-  if (createTransactionLogTransactionsViewColumns(transaction_log_transactions_view_columns))
+  transaction_log_view_columns= new (nothrow) vector<const plugin::ColumnInfo *>;
+  if (transaction_log_view_columns == NULL)
+  {
+    return true;
+  }
+  transaction_log_entries_view_columns= new (nothrow) vector<const plugin::ColumnInfo *>;
+  if (transaction_log_entries_view_columns == NULL)
+  {
+    return true;
+  }
+  transaction_log_transactions_view_columns= new (nothrow) vector<const plugin::ColumnInfo *>;
+  if (transaction_log_transactions_view_columns == NULL)
+  {
+    return true;
+  }
+
+  if (createTransactionLogViewColumns(*transaction_log_view_columns))
+  {
+    return true;
+  }
+
+  if (createTransactionLogEntriesViewColumns(*transaction_log_entries_view_columns))
+  {
+    return true;
+  }
+
+  if (createTransactionLogTransactionsViewColumns(*transaction_log_transactions_view_columns))
   {
     return true;
   }
@@ -563,9 +579,12 @@
 
 void cleanupViewColumns()
 {
-  clearViewColumns(transaction_log_view_columns);
-  clearViewColumns(transaction_log_entries_view_columns);
-  clearViewColumns(transaction_log_transactions_view_columns);
+  clearViewColumns(*transaction_log_view_columns);
+  delete transaction_log_view_columns;
+  clearViewColumns(*transaction_log_entries_view_columns);
+  delete transaction_log_entries_view_columns;
+  clearViewColumns(*transaction_log_transactions_view_columns);
+  delete transaction_log_transactions_view_columns;
 }
 
 bool initViewMethods()
@@ -608,7 +627,7 @@
 {
   transaction_log_view= 
     new (nothrow) plugin::InfoSchemaTable("TRANSACTION_LOG",
-                                          transaction_log_view_columns,
+                                          *transaction_log_view_columns,
                                           -1, -1, false, false, 0,
                                           transaction_log_view_methods);
   if (transaction_log_view == NULL)
@@ -621,7 +640,7 @@
 
   transaction_log_entries_view= 
     new (nothrow) plugin::InfoSchemaTable("TRANSACTION_LOG_ENTRIES",
-                                          transaction_log_entries_view_columns,
+                                          *transaction_log_entries_view_columns,
                                           -1, -1, false, false, 0,
                                           transaction_log_entries_view_methods);
   if (transaction_log_entries_view == NULL)
@@ -634,7 +653,7 @@
 
   transaction_log_transactions_view= 
     new (nothrow) plugin::InfoSchemaTable("TRANSACTION_LOG_TRANSACTIONS",
-                                          transaction_log_transactions_view_columns,
+                                          *transaction_log_transactions_view_columns,
                                           -1, -1, false, false, 0,
                                           transaction_log_transactions_view_methods);
   if (transaction_log_transactions_view == NULL)

=== modified file 'plugin/transaction_log/plugin.ini'
--- plugin/transaction_log/plugin.ini	2009-12-05 00:32:01 +0000
+++ plugin/transaction_log/plugin.ini	2009-12-07 09:21:15 +0000
@@ -4,8 +4,6 @@
 load_by_default=yes
 sources= background_worker.cc info_schema.cc hexdump_transaction_message.cc print_transaction_message.cc transaction_log.cc transaction_log_entry.cc transaction_log_index.cc transaction_log_reader.cc 
 headers= background_worker.h info_schema.h hexdump_transaction_message.h print_transaction_message.h transaction_log.h transaction_log_entry.h transaction_log_index.h transaction_log_reader.h
-testsuite=transaction_log
-libs=${top_builddir}/drizzled/hash/libhash.la 
+ldflags=${top_builddir}/drizzled/hash/libhash.la 
 libadd=$(LIBZ)
-static=yes
 cxxflags=${PROTOSKIP_WARNINGS}

=== renamed directory 'tests/suite/transaction_log' => 'plugin/transaction_log/tests'
=== modified file 'plugin/transaction_log/tests/t/alter.test'
--- tests/suite/transaction_log/t/alter.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/alter.test	2009-12-04 18:50:04 +0000
@@ -2,11 +2,11 @@
 # Tests ALTER statements and the transaction log
 #
 
---source suite/transaction_log/t/alter.inc
+--source ../plugin/transaction_log/tests/t/alter.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/auto_commit.test'
--- tests/suite/transaction_log/t/auto_commit.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/auto_commit.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/auto_commit.inc
+--source ../plugin/transaction_log/tests/t/auto_commit.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/blob.test'
--- tests/suite/transaction_log/t/blob.test	2009-11-06 15:22:29 +0000
+++ plugin/transaction_log/tests/t/blob.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/blob.inc
+--source ../plugin/transaction_log/tests/t/blob.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/create_select.test'
--- tests/suite/transaction_log/t/create_select.test	2009-11-10 03:26:40 +0000
+++ plugin/transaction_log/tests/t/create_select.test	2009-12-04 18:50:04 +0000
@@ -1,9 +1,9 @@
 # Populate log with some records...
---source suite/transaction_log/t/create_select.inc
+--source ../plugin/transaction_log/tests/t/create_select.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/database.test'
--- tests/suite/transaction_log/t/database.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/database.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/database.inc
+--source ../plugin/transaction_log/tests/t/database.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/delete.test'
--- tests/suite/transaction_log/t/delete.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/delete.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/delete.inc
+--source ../plugin/transaction_log/tests/t/delete.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/filtered_replicator.test'
--- tests/suite/transaction_log/t/filtered_replicator.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/filtered_replicator.test	2009-12-04 18:50:04 +0000
@@ -12,25 +12,25 @@
 # Filter all statements involving tables called "t2"
 set global filtered_replicator_filteredtables=t2;
 
---source suite/transaction_log/t/insert.inc
---source suite/transaction_log/t/insert_multi.inc
---source suite/transaction_log/t/insert_select.inc
---source suite/transaction_log/t/alter.inc
---source suite/transaction_log/t/database.inc
---source suite/transaction_log/t/rename.inc
---source suite/transaction_log/t/delete.inc
---source suite/transaction_log/t/update.inc
-#--source suite/transaction_log/t/auto_commit.inc
-#--source suite/transaction_log/t/temp_tables.inc
+--source ../plugin/transaction_log/tests/t/insert.inc
+--source ../plugin/transaction_log/tests/t/insert_multi.inc
+--source ../plugin/transaction_log/tests/t/insert_select.inc
+--source ../plugin/transaction_log/tests/t/alter.inc
+--source ../plugin/transaction_log/tests/t/database.inc
+--source ../plugin/transaction_log/tests/t/rename.inc
+--source ../plugin/transaction_log/tests/t/delete.inc
+--source ../plugin/transaction_log/tests/t/update.inc
+#--source ../plugin/transaction_log/tests/t/auto_commit.inc
+#--source ../plugin/transaction_log/tests/t/temp_tables.inc
 
 # MySQL Bug 36763
-#--source suite/transaction_log/t/truncate.inc
+#--source ../plugin/transaction_log/tests/t/truncate.inc
 # Needs fixing
-#--source suite/transaction_log/t/rand.inc
+#--source ../plugin/transaction_log/tests/t/rand.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/information_schema.test'
--- tests/suite/transaction_log/t/information_schema.test	2009-12-01 00:02:53 +0000
+++ plugin/transaction_log/tests/t/information_schema.test	2009-12-04 18:50:04 +0000
@@ -4,7 +4,7 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/insert.inc
+--source ../plugin/transaction_log/tests/t/insert.inc
 
 # Query the INFORMATION_SCHEMA views and verify
 # that the information contained in them matches
@@ -18,4 +18,4 @@
 SELECT * FROM INFORMATION_SCHEMA.TRANSACTION_LOG_TRANSACTIONS;
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/insert.test'
--- tests/suite/transaction_log/t/insert.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/insert.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/insert.inc
+--source ../plugin/transaction_log/tests/t/insert.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/insert_multi.test'
--- tests/suite/transaction_log/t/insert_multi.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/insert_multi.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/insert_multi.inc
+--source ../plugin/transaction_log/tests/t/insert_multi.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/insert_on_duplicate_update.test'
--- tests/suite/transaction_log/t/insert_on_duplicate_update.test	2009-10-23 16:30:06 +0000
+++ plugin/transaction_log/tests/t/insert_on_duplicate_update.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/insert_on_duplicate_update.inc
+--source ../plugin/transaction_log/tests/t/insert_on_duplicate_update.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/insert_select.test'
--- tests/suite/transaction_log/t/insert_select.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/insert_select.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/insert_select.inc
+--source ../plugin/transaction_log/tests/t/insert_select.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/no_modification.test'
--- tests/suite/transaction_log/t/no_modification.test	2009-10-29 18:58:54 +0000
+++ plugin/transaction_log/tests/t/no_modification.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/no_modification.inc
+--source ../plugin/transaction_log/tests/t/no_modification.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/rand.test'
--- tests/suite/transaction_log/t/rand.test	2009-11-10 03:26:40 +0000
+++ plugin/transaction_log/tests/t/rand.test	2009-12-04 18:50:04 +0000
@@ -1,9 +1,9 @@
 # Populate log with some records...
---source suite/transaction_log/t/rand.inc
+--source ../plugin/transaction_log/tests/t/rand.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/rename.test'
--- tests/suite/transaction_log/t/rename.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/rename.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/rename.inc
+--source ../plugin/transaction_log/tests/t/rename.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/replace.test'
--- tests/suite/transaction_log/t/replace.test	2009-10-18 15:31:51 +0000
+++ plugin/transaction_log/tests/t/replace.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/replace.inc
+--source ../plugin/transaction_log/tests/t/replace.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/rollback.test'
--- tests/suite/transaction_log/t/rollback.test	2009-12-04 16:59:27 +0000
+++ plugin/transaction_log/tests/t/rollback.test	2009-12-05 08:42:31 +0000
@@ -4,11 +4,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/rollback.inc
+--source ../plugin/transaction_log/tests/t/rollback.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/temp_tables.test'
--- tests/suite/transaction_log/t/temp_tables.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/temp_tables.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/temp_tables.inc
+--source ../plugin/transaction_log/tests/t/temp_tables.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/truncate.test'
--- tests/suite/transaction_log/t/truncate.test	2009-12-04 02:24:50 +0000
+++ plugin/transaction_log/tests/t/truncate.test	2009-12-05 08:42:31 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/truncate.inc
+--source ../plugin/transaction_log/tests/t/truncate.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/truncate_log.test'
--- tests/suite/transaction_log/t/truncate_log.test	2009-10-07 23:59:47 +0000
+++ plugin/transaction_log/tests/t/truncate_log.test	2009-12-04 18:50:04 +0000
@@ -6,13 +6,13 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/insert.inc
+--source ../plugin/transaction_log/tests/t/insert.inc
 
 # Trim result since Solaris/BSD wc program apparently adds whitespace before output
 --exec wc -l var/master-data/transaction.log | tr -d ' ' 
 
 # Truncate the log file
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc
 
 # Trim result since Solaris/BSD wc program apparently adds whitespace before output
 --exec wc -l var/master-data/transaction.log | tr -d ' ' 

=== modified file 'plugin/transaction_log/tests/t/udf_print_transaction_message.test'
--- tests/suite/transaction_log/t/udf_print_transaction_message.test	2009-11-20 20:22:37 +0000
+++ plugin/transaction_log/tests/t/udf_print_transaction_message.test	2009-12-04 18:50:04 +0000
@@ -4,7 +4,7 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/insert.inc
+--source ../plugin/transaction_log/tests/t/insert.inc
 
 # Query the INFORMATION_SCHEMA.TRANSACTION_LOG_ENTRIES view
 # and call the PRINT_TRANSACTION_MESSAGE() UDF
@@ -14,4 +14,4 @@
 LIMIT 1;
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/tests/t/update.test'
--- tests/suite/transaction_log/t/update.test	2009-10-16 21:34:21 +0000
+++ plugin/transaction_log/tests/t/update.test	2009-12-04 18:50:04 +0000
@@ -3,11 +3,11 @@
 #
 
 # Populate log with some records...
---source suite/transaction_log/t/update.inc
+--source ../plugin/transaction_log/tests/t/update.inc
 
 # Read in the transaction.log.
 
 --exec ../drizzled/message/transaction_reader var/master-data/transaction.log
 
 # Truncate the log file to reset for the next test
---source suite/transaction_log/t/truncate_log.inc
+--source ../plugin/transaction_log/tests/t/truncate_log.inc

=== modified file 'plugin/transaction_log/transaction_log_index.cc'
--- plugin/transaction_log/transaction_log_index.cc	2009-11-16 22:00:02 +0000
+++ plugin/transaction_log/transaction_log_index.cc	2009-12-04 20:48:02 +0000
@@ -112,7 +112,7 @@
 
 uint64_t TransactionLogIndex::getNumTransactionEntries() const
 {
-  return num_transaction_entries;
+  return transaction_entries.size();
 }
 
 TransactionLog::Entries &TransactionLogIndex::getEntries()
@@ -137,7 +137,6 @@
     min_end_timestamp= transaction.transaction_context().end_timestamp();
   }
   num_log_entries++;
-  num_transaction_entries++;
   max_transaction_id= transaction.transaction_context().transaction_id();
   max_end_timestamp= transaction.transaction_context().end_timestamp();
   entries.push_back(entry);

=== modified file 'plugin/transaction_log/transaction_log_index.h'
--- plugin/transaction_log/transaction_log_index.h	2009-11-16 22:00:02 +0000
+++ plugin/transaction_log/transaction_log_index.h	2009-12-04 20:48:02 +0000
@@ -128,7 +128,6 @@
   uint64_t min_transaction_id; ///< Minimum transaction ID in log
   uint64_t max_transaction_id; ///< Maximum transaction ID in log
   uint64_t num_log_entries; ///< Total number of log entries in log
-  uint64_t num_transaction_entries; ///< Total number of transaction log entries in log
 
   TransactionLog::Entries entries; ///< Collection of information about the entries in the log
   TransactionLog::TransactionEntries transaction_entries; ///<

